| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions
Tp::PresenceSpec Class Reference
Wrapper classes

The PresenceSpec class represents a Telepathy presence information supported by a protocol. More...

`#include <TelepathyQt/PresenceSpec>`

List of all members.

## Public Member Functions

- PresenceSpec ()
- PresenceSpec (const QString &status, const SimpleStatusSpec &spec)
- PresenceSpec (const PresenceSpec &other)
- ~PresenceSpec ()
- bool isValid () const
- PresenceSpec & operator= (const PresenceSpec &other)
- bool operator== (const PresenceSpec &other) const
- bool operator!= (const PresenceSpec &other) const
- bool operator< (const PresenceSpec &other) const
- Presence presence (const QString &statusMessage=QString()) const
- bool maySetOnSelf () const
- bool canHaveStatusMessage () const
- SimpleStatusSpec bareSpec () const

## Detailed Description

The PresenceSpec class represents a Telepathy presence information supported by a protocol.

## Constructor & Destructor Documentation

Tp::PresenceSpec::PresenceSpec | ( |  | ) |

Tp::PresenceSpec::PresenceSpec | ( | const QString & | status,
|  | const SimpleStatusSpec & | spec
| ) |  |

Tp::PresenceSpec::PresenceSpec | ( | const PresenceSpec & | other | ) |

Tp::PresenceSpec::~PresenceSpec | ( |  | ) |

## Member Function Documentation

bool Tp::PresenceSpec::isValid | ( |  | ) | const`[inline]`

PresenceSpec & Tp::PresenceSpec::operator= | ( | const PresenceSpec & | other | ) |

bool Tp::PresenceSpec::operator== | ( | const PresenceSpec & | other | ) | const

bool Tp::PresenceSpec::operator!= | ( | const PresenceSpec & | other | ) | const

bool Tp::PresenceSpec::operator< | ( | const PresenceSpec & | other | ) | const

Presence Tp::PresenceSpec::presence | ( | const QString & | statusMessage = `QString()` | ) | const

bool Tp::PresenceSpec::maySetOnSelf | ( |  | ) | const

bool Tp::PresenceSpec::canHaveStatusMessage | ( |  | ) | const

SimpleStatusSpec Tp::PresenceSpec::bareSpec | ( |  | ) | const